Deployments.ai Docs
Brains

List Brain mounts

GET /v1/brains/{brainId}/mounts · SDK listBrainMounts · CLI deployments brain-mount list

GET
/v1/brains/{brainId}/mounts

Requires brains:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

BrainMountPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/brains/string/mounts" \  -H "x-deployments-organization: string"
{  "items": [    {      "agentDefinitionId": "string",      "agentDeploymentId": "string",      "brainId": "string",      "createdAt": "string",      "environmentId": "string",      "id": "string",      "organizationId": "string",      "ownershipGeneration": 0,      "permission": "read",      "projectId": "string",      "revokedAt": "string",      "status": "active",      "updatedAt": "string",      "version": 0    }  ],  "nextCursor": "string"}